#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct ChecklistLiveStatusResponse {
    #[serde(rename = "checklistRid")]
    checklist_rid: super::super::super::rids::api::ChecklistRid,
    #[serde(rename = "assetRid")]
    asset_rid: super::super::super::rids::api::AssetRid,
    #[builder(custom(type = super::ChecklistLiveStatus, convert = Box::new))]
    #[serde(rename = "status")]
    status: Box<super::ChecklistLiveStatus>,
}
impl ChecklistLiveStatusResponse {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        checklist_rid: super::super::super::rids::api::ChecklistRid,
        asset_rid: super::super::super::rids::api::AssetRid,
        status: super::ChecklistLiveStatus,
    ) -> Self {
        Self::builder()
            .checklist_rid(checklist_rid)
            .asset_rid(asset_rid)
            .status(status)
            .build()
    }
    #[inline]
    pub fn checklist_rid(&self) -> &super::super::super::rids::api::ChecklistRid {
        &self.checklist_rid
    }
    #[inline]
    pub fn asset_rid(&self) -> &super::super::super::rids::api::AssetRid {
        &self.asset_rid
    }
    #[inline]
    pub fn status(&self) -> &super::ChecklistLiveStatus {
        &*self.status
    }
}
